import matplotlib.pyplot as plt
from utils import optimization
import numpy as np


model_name = 'outputs_cl_cm_inputs_xf_f_theta_ref_1_refined_3'
optimization_files_path = './files/dyn/ga/'

optimization_name = '3d_test_large'
freestream_velocity = 10.0
chord = 0.25
h0_c = 0.5

X, F, bounds = optimization.load_results(path=optimization_files_path,
                                         model_name=model_name,
                                         optimization_name=optimization_name)

[xl, xu] = bounds

print(X)
print(F)